"""add chmod call to test_download script

Revision ID: a118f3d0a99e
Revises: c4001510507c
Create Date: 2021-05-24 16:15:35.070261

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "a118f3d0a99e"
down_revision = "c4001510507c"
branch_labels = None
depends_on = None


def upgrade():
    shell_script_content = """#!/bin/sh
chmod 770 .
./productfetcher --product-locator $1
./deliver -r . --prefix $2
"""

    op.execute(
        "UPDATE workflow_templates " f"SET content = E'{shell_script_content}' " "WHERE filename = 'test_download.sh'"
    )


def downgrade():
    shell_script_content = """#!/bin/sh
./productfetcher --product-locator $1
./deliver -r . --prefix $2
"""

    op.execute(
        "UPDATE workflow_templates " f"SET content = E'{shell_script_content}' " "WHERE filename = 'test_download.sh'"
    )
